﻿Imports System.Data
Imports System.Data.SqlClient
Imports System.Web.Services
Imports System.Collections.Generic

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Me.BindDummyItem()
        End If
    End Sub

    Private Sub BindDummyItem()
        Dim dummy As New DataTable()
        dummy.Columns.Add("CustomerID")
        dummy.Columns.Add("ContactName")
        dummy.Columns.Add("Country")
        dummy.Columns.Add("City")
        dummy.Columns.Add("PostalCode")
        dummy.Columns.Add("Phone")
        dummy.Columns.Add("Fax")
        Dim count As Integer = If(dlCustomers.RepeatColumns = 0, 1, dlCustomers.RepeatColumns)
        For i As Integer = 0 To count - 1
            dummy.Rows.Add()
        Next
        dlCustomers.DataSource = dummy
        dlCustomers.DataBind()
    End Sub

    <WebMethod()> _
    Public Shared Function GetCustomers() As String
        Dim query As String = "SELECT top 10 * FROM Customers"
        Dim cmd As New SqlCommand(query)
        Return GetData(cmd).GetXml()
    End Function

    Private Shared Function GetData(cmd As SqlCommand) As DataSet
        Dim strConnString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(strConnString)
            Using sda As New SqlDataAdapter()
                cmd.Connection = con
                sda.SelectCommand = cmd
                Using ds As New DataSet()
                    sda.Fill(ds)
                    Return ds
                End Using
            End Using
        End Using
    End Function
End Class

